%define	name		libglade-java
%define apiversion	2.8
%define	version		%{apiversion}.2
%define	release		1jpp

Summary:	Java bindings for the Glade library
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	LGPL
Group:		Development/Libraries/Java
URL:		http://java-gnome.sourceforge.net/
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/libglade-java/2.8/libglade-java-2.8.2.tar.bz2
# Patches from fitzsim
Patch0:		libglade-java-install.patch
Patch1:		libglade-java-run-example.patch
Patch2:		libglade-java-examples.patch
BuildRequires:  %{_libdir}/pkgconfig/libglade-2.0.pc
BuildRequires:	libgtk-java
BuildRequires:	libgtk-java-javadoc
BuildRequires:	libgnome-java
BuildRequires:	libgnome-java-javadoc
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
libglade-java is a set of Java bindings for the Glade library that 
allow Glade applications to be written in Java.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0

[ -f configure ] || %__ln_s autogen.sh configure

%build
export JAVAC=%{javac}
export JAVADOC=%{javadoc}
export JAR=%{jar}
export DB1=%{_bindir}/db2html
%configure --without-gcj-compile
%make JAVA_INCLUDES+="-I%{java_home}/include -I%{java_home}/include/linux"

pushd doc
  %__rm -rf examples/glade-gnome
  %__rm -f examples/glade/.cvsignore
  %__mv -f examples ..
popd

%javadoc -d api -sourcepath src/java \
		-public -use -version -author \
                -windowtitle "Java-Gnome %{apiversion} Glade API Reference" \
                -doctitle "Java-Gnome %{apiversion} Glade API Reference" \
                -footer "Please send any bug reports, comments, or \
suggestions for the API or documentation to  <a \
href=\"mailto:java-gnome-developer@lists.sf.net\">java-gnome-developer@\
lists.sf.net</a>" \
		-link %{_javadocdir}/libgtk-java \
		-link %{_javadocdir}/libgnome-java \
                org.gnu.glade

%install
%__rm -rf %{buildroot}
%makeinstall

# javadoc
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
(cd %{buildroot}%{_javadocdir} && %__ln_s %{name}-%{version} %{name})

%clean
%__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post javadoc
%__rm -f %{_javadocdir}/%{name}
%__ln_s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  %__rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc ChangeLog NEWS examples
%attr(0755,root,root) %{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/java/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Fri Dec 10 2004 David Walluck <david@jpackage.org> 0:2.8.2-1jpp
- release
